<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:43 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MasterSyncBaseDto (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MasterSyncBaseDto (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterSyncBaseDto.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/mastersync/MasterRegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/mastersync/PostReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" target="_top">Frames</a></li>
<li><a href="MasterSyncBaseDto.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.mastersync</div>
<h2 title="Class MasterSyncBaseDto" class="title">Class MasterSyncBaseDto</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.mastersync.MasterSyncBaseDto</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../io/mosip/registration/dto/mastersync/AppAuthenticationMethodDto.html" title="class in io.mosip.registration.dto.mastersync">AppAuthenticationMethodDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/AppDetailDto.html" title="class in io.mosip.registration.dto.mastersync">AppDetailDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ApplicantValidDocumentDto.html" title="class in io.mosip.registration.dto.mastersync">ApplicantValidDocumentDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ApplicationDto.html" title="class in io.mosip.registration.dto.mastersync">ApplicationDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/AppRolePriorityDto.html" title="class in io.mosip.registration.dto.mastersync">AppRolePriorityDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/BiometricAttributeDto.html" title="class in io.mosip.registration.dto.mastersync">BiometricAttributeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/BiometricTypeDto.html" title="class in io.mosip.registration.dto.mastersync">BiometricTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/BioTypeCodeAndLangCodeAndAttributeCode.html" title="class in io.mosip.registration.dto.mastersync">BioTypeCodeAndLangCodeAndAttributeCode</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/BlacklistedWordsDto.html" title="class in io.mosip.registration.dto.mastersync">BlacklistedWordsDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DeviceDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DeviceLangCodeDtypeDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceLangCodeDtypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DeviceSpecificationDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceSpecificationDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DeviceTypeCodeAndLanguageCodeAndId.html" title="class in io.mosip.registration.dto.mastersync">DeviceTypeCodeAndLanguageCodeAndId</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DeviceTypeDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DocumentCategoryData.html" title="class in io.mosip.registration.dto.mastersync">DocumentCategoryData</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DocumentCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">DocumentCategoryDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/DocumentTypeDto.html" title="class in io.mosip.registration.dto.mastersync">DocumentTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/GenderDto.html" title="class in io.mosip.registration.dto.mastersync">GenderDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/HolidayDto.html" title="class in io.mosip.registration.dto.mastersync">HolidayDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/IdTypeDto.html" title="class in io.mosip.registration.dto.mastersync">IdTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/LanguageDto.html" title="class in io.mosip.registration.dto.mastersync">LanguageDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/LocationCodeDto.html" title="class in io.mosip.registration.dto.mastersync">LocationCodeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/LocationDto.html" title="class in io.mosip.registration.dto.mastersync">LocationDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/LocationHierarchyDto.html" title="class in io.mosip.registration.dto.mastersync">LocationHierarchyDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/MachineDto.html" title="class in io.mosip.registration.dto.mastersync">MachineDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/MachineSpecificationDto.html" title="class in io.mosip.registration.dto.mastersync">MachineSpecificationDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/MachineTypeDto.html" title="class in io.mosip.registration.dto.mastersync">MachineTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/MasterReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">MasterReasonCategoryDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/MasterRegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">MasterRegistrationCenterDeviceDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/PostReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">PostReasonCategoryDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ProcessListDto.html" title="class in io.mosip.registration.dto.mastersync">ProcessListDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ReasonListDto.html" title="class in io.mosip.registration.dto.mastersync">ReasonListDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterDeviceDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterMachineDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterMachineDeviceDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterMachineDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterMachineDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterTypeDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterUserDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterUserDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterUserMachineMappingDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ScreenAuthorizationDto.html" title="class in io.mosip.registration.dto.mastersync">ScreenAuthorizationDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/TemplateDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/TemplateFileFormatDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateFileFormatDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/TemplateTypeDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateTypeDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/TitleDto.html" title="class in io.mosip.registration.dto.mastersync">TitleDto</a>, <a href="../../../../../io/mosip/registration/dto/UserDetailDto.html" title="class in io.mosip.registration.dto">UserDetailDto</a>, <a href="../../../../../io/mosip/registration/dto/mastersync/ValidDocumentDto.html" title="class in io.mosip.registration.dto.mastersync">ValidDocumentDto</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MasterSyncBaseDto</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sreekar Chukka</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html#MasterSyncBaseDto--">MasterSyncBaseDto</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html#getIsDeleted--">getIsDeleted</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html#setIsDeleted-java.lang.Boolean-">setIsDeleted</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;isDeleted)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MasterSyncBaseDto--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MasterSyncBaseDto</h4>
<pre>public&nbsp;MasterSyncBaseDto()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIsDeleted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsDeleted</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getIsDeleted()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the isDeleted</dd>
</dl>
</li>
</ul>
<a name="setIsDeleted-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setIsDeleted</h4>
<pre>public&nbsp;void&nbsp;setIsDeleted(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;isDeleted)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isDeleted</code> - the isDeleted to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterSyncBaseDto.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/mastersync/MasterRegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/mastersync/PostReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" target="_top">Frames</a></li>
<li><a href="MasterSyncBaseDto.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
